package adapters

import "ticket-pimp/internal/domain"

type IDummyTelegram interface {
	DummyNotification(id string, text string)
}

type IGit interface {
	CreateRepo(name string) (*domain.Git, error)
}

type ICloud interface {
	CreateFolder(name string) domain.Response
}

type ICoda interface {
	ListDocs()
	CreateApp(task domain.CodaApplication) (string, error)
	CreateTask(title string, desc string, creatorName string, creatorID string) (string, error)
	GetRowLink(id string) (string, error)
}
